### File

`packages/ecl/components/ecl-file/ecl-file-items/ecl-file-items.component.ts`

### Description

Component representing a container for file item translations within an ECL File component. It can be expanded or collapsed, and emits an event when toggled.

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-file-items`
imports | `EUI_ECL_BUTTON` `EUI_ECL_ICON` `TranslateModule`
templateUrl | `./ecl-file-items.component.html`

### Index

###### Properties
items
###### Methods
getItemsCount onToggleClick getCssClasses
###### Inputs
isExpanded label class e2eAttr tabindex
###### Outputs
toggle
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

isExpanded
Type : `boolean`
Default value : `false`
Whether the list is initially expanded.

label
Type : `string`
Label displayed above the translations list.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### Outputs

toggle
Type : `EventEmitter`
Emits a toggle event when the translations list is expanded or collapsed. Consumers can call `preventDefault()` on the event to cancel the toggle.

### HostBindings

class
Type : `string`
CSS classes applied to the host element.

### Methods

getItemsCount
`getItemsCount()`
Returns the number of translation items excluding description entries. Returns : `number`

onToggleClick
`onToggleClick(evt: MouseEvent)`
Toggles the expansion state of the translation list. Emits `toggle` event and updates `isExpanded` if not prevented. Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

items
Type : `QueryList<EclFileItemComponent>`
Decorators : `@ContentChildren(EclFileItemComponent)`
Content-projected list of translation items (excluding description blocks).

### Accessors

cssClasses
get `cssClasses()`
CSS classes applied to the host element. Returns : `string`

# results matching ""

# No results matching ""